This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 581101 - libevent-1.4.13-1 broke the ABI stablity of RHEL
libevent-1.4.13-1 broke the ABI stablity of RHEL
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libevent (Show other bugs)
5.5
All Linux
urgent Severity high
: rc
: ---
Assigned To: Steve Dickson
qe-baseos-daemons
: Regression
Depends On:
Blocks: 743405 807971 1002709
  Show dependency treegraph
 
Reported: 2010-04-10 02:18 EDT by Kirby Zhou
Modified: 2015-06-08 10:00 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-06 21:31:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 563985 None None None Never

  None (edit)
Description Kirby Zhou 2010-04-10 02:18:52 EDT
Description of problem:

libevent-1.4.13-1 broke the ABI stablity of RHEL
packages such as memcached doesnot work under RHEL-5.5.

Version-Release number of selected component (if applicable):

RHEL-5.5
libevent-1.4.13-1

How reproducible:

100%

Steps to Reproduce:

Upgrade to RHEL-5.5
  
Actual results:

Some programs relying on libevent die due to missing of libevent-1.1a.so.1

Expected results:

libevent-1.4.x contains libevent-1.1a.so.1 or a sperate compat-libevent package should be provided.

Additional info:
Comment 1 Steve Huff 2010-05-03 10:17:54 EDT
(In reply to comment #0)
> Expected results:
> 
> libevent-1.4.x contains libevent-1.1a.so.1 or a sperate compat-libevent package
> should be provided.

Kirby,  

As a workaround, you can get the compat-libevent-11a package from RPMforge (http://rpmforge.net).

-Steve
Comment 2 Kirby Zhou 2010-05-24 11:23:46 EDT
(In reply to comment #1)
> -Steve    

compat-libevent-11a seems workable, thanks very much.
Is there anyone can add this package into EPEL5?
Comment 3 Steve Huff 2010-05-26 17:34:22 EDT
(In reply to comment #2)
> 
> compat-libevent-11a seems workable, thanks very much.
> Is there anyone can add this package into EPEL5?    

You're welcome.  What's wrong with RPMforge? :)

The documentation indicates that the way to get a package into EPEL is
to first submit it to Fedora, via these procedures:

http://fedoraproject.org/wiki/EPEL/FAQ#How_do_I_get_my_packages_into_EPEL.3F
http://fedoraproject.org/wiki/PackageMaintainers/Join

I don't feel particularly motivated to go through this process myself,
but you're welcome to do so.

Also, have you filed a bug under RHEL5 asking for a libevent compat
package, as Paul Lindner asked you to do over in
https://bugzilla.redhat.com/show_bug.cgi?id=563985?  If so, please link
it into either this bug or #563985, or both.

-Steve
Comment 4 Kevin Graham 2010-06-22 20:00:55 EDT
re comment 2 -- as your summary states, this is RHEL5's problem to solve, not EPEL's. To maintain ABI compatibility, RHEL5 should incorporate this in 5.5 z-stream errata. Bug 563985 is dandy for EPEL-provided memcached but obviously cannot address the range of potential conflicts.
Comment 5 David111 2010-08-12 08:44:24 EDT
Bitten by the problem as I have custom memcached and gearmand packages. My workaround: I have built a package libevent14, which lives in /opt and doesn't conflict with system's libevent, and modified my memcached/gearmand packages to link against it. That way I don't have to worry about libevent package version anymore, which will be handy when updating servers to 5.5.
Comment 7 Ludek Smid 2011-06-21 08:57:43 EDT
This request was evaluated by Red Hat Product Management for inclusion in Red Hat Enterprise Linux 5.7 and Red Hat does not plan to fix this issue the currently developed update.

Contact your manager or support representative in case you need to escalate this bug.
Comment 8 Brian Gollaher 2011-09-02 12:32:45 EDT
Have to move this to 5.9.
Comment 22 Jan Kurik 2013-06-11 05:02:52 EDT
Removed rhel-5.8.z flag as RHEL-5.8 is EOL.
Comment 24 Andrius Benokraitis 2013-10-06 21:31:18 EDT
This Bugzilla has been reviewed by Red Hat and is not planned on being addressed in Red Hat Enterprise Linux 5, and therefore will be closed. If this bug is critical to production systems, please contact your Red Hat support representative and provide sufficient business justification.

Note You need to log in before you can comment on or make changes to this bug.